SEPAException.Fehler
Date: 2015-04-26

de.jost_net.OBanToo.SEPA

## Enum SEPAException.Fehler

- java.lang.Object
- - java.lang.Enum<SEPAException.Fehler>
  - - de.jost_net.OBanToo.SEPA.SEPAException.Fehler

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<SEPAException.Fehler>
  Enclosing class:
    SEPAException

      public static enum SEPAException.Fehler
      extends java.lang.Enum<SEPAException.Fehler>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BLZ_LEER`
    `BLZ_UNGUELTIG`
    `BLZ_UNGUELTIGE_LAENGE`
    `IBANREGEL_NICHT_IMPLEMENTIERT`
    `KONTO_LEER`
    `KONTO_PRUEFZIFFER_FALSCH`
    `KONTO_PRUEFZIFFERNREGEL_NICHT_IMPLEMENTIERT`
    `KONTO_UNGUELTIGE_LAENGE`
    `UNGUELTIGES_LAND`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SEPAException.Fehler` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static SEPAException.Fehler[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BLZ_LEER

          public static final SEPAException.Fehler BLZ_LEER

    - #### BLZ_UNGUELTIGE_LAENGE

          public static final SEPAException.Fehler BLZ_UNGUELTIGE_LAENGE

    - #### BLZ_UNGUELTIG

          public static final SEPAException.Fehler BLZ_UNGUELTIG

    - #### KONTO_LEER

          public static final SEPAException.Fehler KONTO_LEER

    - #### KONTO_UNGUELTIGE_LAENGE

          public static final SEPAException.Fehler KONTO_UNGUELTIGE_LAENGE

    - #### KONTO_PRUEFZIFFER_FALSCH

          public static final SEPAException.Fehler KONTO_PRUEFZIFFER_FALSCH

    - #### KONTO_PRUEFZIFFERNREGEL_NICHT_IMPLEMENTIERT

          public static final SEPAException.Fehler KONTO_PRUEFZIFFERNREGEL_NICHT_IMPLEMENTIERT

    - #### IBANREGEL_NICHT_IMPLEMENTIERT

          public static final SEPAException.Fehler IBANREGEL_NICHT_IMPLEMENTIERT

    - #### UNGUELTIGES_LAND

          public static final SEPAException.Fehler UNGUELTIGES_LAND

  - ### Method Detail

    - #### values

          public static SEPAException.Fehler[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SEPAException.Fehler c : SEPAException.Fehler.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SEPAException.Fehler valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null